Subject: Ready for IETF Last Call: draft-ietf-smime-cast-128-02.txt

From: Russ Housley <[email-masked]>
Date: Mon, 10 Apr 2000 09:46:44 -0400

Jeff & Marcus:

The S/MIME Working Group is finished with the CAST-128 algorithm 
specification.  It is ready for IETF Last Call and publication as a 
Proposed Standard RFC.

Russ